import { TextDocument, ColorInformation, TextDocumentContentChangeEvent } from 'vscode-languageserver-protocol';
import { Chars } from './chars';
import { DocumentSymbol } from './types';
import { Settings } from './types';
export default class Document {
    private document;
    private iskeyword;
    private settings;
    readonly uri: string;
    readonly languageId: string;
    readonly chars: Chars;
    update: (() => void) & {
        clear(): void;
    };
    private _documentSymbols;
    private _colors;
    private _parsedVersion;
    readonly version: number;
    constructor(document: TextDocument, iskeyword: string, settings: Settings);
    applyContentChanges(events: TextDocumentContentChangeEvent[], version: number): void;
    readonly documentSymbols: Promise<DocumentSymbol[]>;
    readonly colors: Promise<ColorInformation[]>;
    dispose(): void;
    private _update;
}
